org.h2.jdbc

## Class JdbcSavepoint

- java.lang.Object
- - org.h2.message.TraceObject
  - - org.h2.jdbc.JdbcSavepoint

All Implemented Interfaces:
  java.sql.Savepoint

    public final class JdbcSavepoint
    extends TraceObject
    implements java.sql.Savepoint

A savepoint is a point inside a transaction to where a transaction can be rolled back. The tasks that where done before the savepoint are not rolled back in this case.

### Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getSavepointId()` Get the generated id of this savepoint.
`java.lang.String` `getSavepointName()` Get the name of this savepoint.
`java.lang.String` `toString()` INTERNAL

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws java.sql.SQLException

Get the generated id of this savepoint.

Specified by:
  `getSavepointId` in interface `java.sql.Savepoint`
Returns:
  the id
Throws:
  `java.sql.SQLException`

#### getSavepointName

    public java.lang.String getSavepointName()
                                      throws java.sql.SQLException

Get the name of this savepoint.

Specified by:
  `getSavepointName` in interface `java.sql.Savepoint`
Returns:
  the name
Throws:
  `java.sql.SQLException`

#### toString

    public java.lang.String toString()

INTERNAL

Overrides:
  `toString` in class `java.lang.Object`